Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.compiler.xml
Class XmlWorkflowProcessDumper

    java.lang.Object
      org.jbpm.compiler.xml.XmlWorkflowProcessDumper

Direct Known Subclasses:
  XmlRuleFlowProcessDumper

    public class XmlWorkflowProcessDumper

extends Object

Constructor Summary
`XmlWorkflowProcessDumper(String type, String namespace, String schemaLocation, org.drools.core.xml.SemanticModule semanticModule)`

Method Summary
`String` | `dump(WorkflowProcess process)`
`String` | `dump(WorkflowProcess process, boolean includeMeta)`
`void` | `visitConnection(Connection connection, StringBuilder xmlDump, boolean includeMeta)`
`static void` | `visitDataType(org.drools.core.process.core.datatype.DataType dataType, StringBuilder xmlDump)`
`static void` | `visitExceptionHandlers(Map<String,ExceptionHandler> exceptionHandlers, StringBuilder xmlDump)`
`protected void` | `visitHeader(WorkflowProcess process, StringBuilder xmlDump, boolean includeMeta)`
`void` | `visitNode(Node node, StringBuilder xmlDump, boolean includeMeta)`
`protected void` | `visitProcess(WorkflowProcess process, StringBuilder xmlDump, boolean includeMeta)`
`static void` | `visitValue(Object value, org.drools.core.process.core.datatype.DataType dataType, StringBuilder xmlDump)`
`static void` | `visitVariables(List<Variable> variables, StringBuilder xmlDump)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlWorkflowProcessDumper

    public XmlWorkflowProcessDumper(String type,
                                    String namespace,
                                    String schemaLocation,
                                    org.drools.core.xml.SemanticModule semanticModule)

Method Detail

### dump

    public String dump(WorkflowProcess process)

### dump

    public String dump(WorkflowProcess process,
                       boolean includeMeta)

### visitProcess

    protected void visitProcess(WorkflowProcess process,
                                StringBuilder xmlDump,
                                boolean includeMeta)

### visitHeader

    protected void visitHeader(WorkflowProcess process,
                               StringBuilder xmlDump,
                               boolean includeMeta)

### visitVariables

    public static void visitVariables(List<Variable> variables,
                                      StringBuilder xmlDump)

### visitExceptionHandlers

    public static void visitExceptionHandlers(Map<String,ExceptionHandler> exceptionHandlers,
                                              StringBuilder xmlDump)

### visitDataType

    public static void visitDataType(org.drools.core.process.core.datatype.DataType dataType,
                                     StringBuilder xmlDump)

### visitValue

    public static void visitValue(Object value,
                                  org.drools.core.process.core.datatype.DataType dataType,
                                  StringBuilder xmlDump)

### visitNode

    public void visitNode(Node node,
                          StringBuilder xmlDump,
                          boolean includeMeta)

### visitConnection

    public void visitConnection(Connection connection,
                                StringBuilder xmlDump,
                                boolean includeMeta)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.